<?php
class GrupoPromocionDetBL
{
    public function buscarPromocionAsociada( PR_ListaItemBN $o_PR_ListaItemBN )
    {
        $o_GrupoPromocionBL = new GrupoPromocionBL();
        $o_GrupoPromocionBL->aplicarExpiracionPromocion();
        
        $o_PR_ListaItemFN = new PR_ListaItemFN();
        $o_PR_ListaItemFN->setIdItem( $o_PR_ListaItemBN->getIdItem() );
        $o_PR_ListaItemFN->setIdSucursal( $o_PR_ListaItemBN->getIdSucursal() );
        $a_PR_ListaItem = $o_PR_ListaItemFN->selectPromoPublicxItem();
        
        return $a_PR_ListaItem;
    }
}